Package lxml :: Module etree :: Class iterwalk |
[hide private]
[frames] | no frames]

# Class iterwalk

    object --+
             |
            iterwalk

A tree walker that generates events from an existing tree as if it was parsing XML data with ``iterparse()``.

Instance Methods | [hide private]
__init__(...) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |
__iter__(...) |
__new__(T, S, ...) Returns: a new object with type S, a subtype of T |
__next__(...) |
next(x) Returns: the next value, or raise StopIteration |
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties | [hide private]
Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...) (Constructor) |
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__

### __new__(T, S, ...) |
  Returns:
      a new object with type S, a subtype of T
Overrides: object.__new__

### next(x) |
  Returns:
      the next value, or raise StopIteration